/*
 * The following are the definitions for port number and parity: 
 */

#define SIO_COM1		1
#define SIO_COM2		2
#define SIO_NO_PARITY      	0x00 
#define SIO_EVEN_PARITY    	0x18 
#define SIO_ODD_PARITY     	0x08 

typedef unsigned char byte;

void sio_init(int port, int speed, int bits, int stopbits, int parity);
void sio_close(void);
int sio_get(int port);
int sio_put(int port, byte x);
